Skip to main content
GET
/
api
/
v2
/
external
/
environment-variables
List Environment Variables
curl --request GET \
  --url https://api.lyceum.technology/api/v2/external/environment-variables \
  --header 'Authorization: Bearer <token>'
{
  "environment_variables": [
    {
      "id": "<string>",
      "name": "<string>",
      "value": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "is_sensitive": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Pass an API key (prefixed lk_) or a JWT access token as a bearer token. Generate API keys in the dashboard at https://dashboard.lyceum.technology/api-keys.

Response

200 - application/json

Successful Response

environment_variables
EnvironmentVariableResponse · object[]
required